Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233012 - scratchbos does not run in newer kernels
Summary: scratchbos does not run in newer kernels
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-19 21:14 UTC by Need Real Name
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-26 05:36:41 UTC


Attachments (Terms of Use)

Description Need Real Name 2007-03-19 21:14:05 UTC
After upgrading the kernel scratchbox does not work: 
Inconsistency detected by ld.so: rtld.c: 1192: dl_main: Assertion `(void *)
ph->p_vaddr == _rtld_local._dl_sysinfo_dso' failed!

The old way to get it running:
echo 0 > /proc/sys/kernel/vdso

is not longer possible because that interface is not longer present

Comment 1 Dave Jones 2007-03-26 05:36:41 UTC
scratchbox is using a prehistoric glibc which doesn't like the vdso in the
Fedora kernel.

Either update to a newer scratchbox (if they even have one with a newer glibc)
or disable the vdso


Comment 2 Need Real Name 2007-03-26 08:17:21 UTC
So, how I disable vdso? In previous kernels I had /proc/sys/kernel/vsdo. Now
it's gone.

Comment 3 Chuck Ebbert 2007-03-26 14:13:31 UTC
Boot with the kernel option "vdso=0"


Note You need to log in before you can comment on or make changes to this bug.